<?php
/* به نام خدا 
اوپن شده در :
@jahanbots
@jahanbots

با اسکی رفتن بدون منبع ناموس خود را به ما بسپارید !
*/
$telegram_ip_ranges = [['lower'=>'149.154.160.0','upper'=>'149.154.175.255'],['lower'=>'91.108.4.0','upper'=>'91.108.7.255']];
$ip_dec = (float) sprintf("%u", ip2long($_SERVER['REMOTE_ADDR']));
$ok = false;
foreach ($telegram_ip_ranges as $telegram_ip_range) if (!$ok) {
    $lower_dec = (float) sprintf("%u", ip2long($telegram_ip_range['lower']));
    $upper_dec = (float) sprintf("%u", ip2long($telegram_ip_range['upper']));
    if ($ip_dec >= $lower_dec and $ip_dec <= $upper_dec) $ok = true;
}
if (!$ok) die('آفرین حالا برو سیک :)');
ob_start();
error_reporting(0);
date_default_timezone_set('Asia/Tehran');
//-----------------------------//
define('API_KEY','5005527153:AAHvh3L65D3B-bISCP9oONKu--6y87cCFZw'); //Token
$admins = array(1167509566,1167509566,1167509566); //user id admin
//-----------------------------
function bot($method,$datas=[]){
    $url = "https://api.telegram.org/bot".API_KEY."/".$method;
    $ch = curl_init();
    curl_setopt($ch,CURLOPT_URL,$url);
    curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
    curl_setopt($ch,CURLOPT_POSTFIELDS,$datas);
    $res = curl_exec($ch);
    if(curl_error($ch)){
        var_dump(curl_error($ch));
    }else{
        return json_decode($res);
    }
}
function bankCardCheck($card='', $irCard=true) { $card = (string) preg_replace('/\D/','',$card); $strlen = strlen($card); if($irCard==true and $strlen!=16) return false; if($irCard!=true and ($strlen<13 or $strlen>19)) return false; if(!in_array($card[0],[2,4,5,6,9])) return false; for($i=0; $i<$strlen; $i++) { $res[$i] = $card[$i]; if(($strlen%2)==($i%2)) { $res[$i] *= 2; if($res[$i]>9) $res[$i] -= 9; } } return array_sum($res)%10==0?true:false; } 

function SendMessage($from_id,$text,$mode,$reply = null,$keyboard = null){
$id = bot('SendMessage',[ 'chat_id'=>$from_id, 'text'=>$text, 'parse_mode'=>$mode, 'reply_to_message_id'=>$reply, 'reply_markup'=>$keyboard]);
return $id;
}
function Gethash($hash){ //ساخت هش
$r = $hash;
$r = str_replace("1", "A", str_replace("2","B", str_replace("3","C", str_replace("4","D", str_replace("5","O", str_replace("6","I", str_replace("7","H", str_replace("8","Z", str_replace("9","V", str_replace("0","G", $r))))))))));
return $r;
}
function Gethashid($link){ //رمز کشایی
$r = $link;
$r = str_replace("A", "1", str_replace("B","2" , str_replace("C","3", str_replace("D","4", str_replace("O","5", str_replace("I","6", str_replace("H","7", str_replace("Z","8", str_replace("V","9", str_replace("G","0",$r))))))))));
return $r;
}
//------- [ Variable ] -------//
$update = json_decode(file_get_contents('php://input'));
if(isset($update->message)){
    $message = $update->message; 
    $chat_id = $message->chat->id;
    $text = $message->text;
    $message_id = $message->message_id;
    $from_id = $message->from->id;
    $type = $message->chat->type;
    $first_name = $message->from->first_name;
    $last_name = $message->from->last_name;
    $username = $message->from->username;
    $contact = $update->message->contact;
    $co_num = $contact->phone_number;
    $co_id = $contact->user_id;
}
if(isset($update->callback_query)){
    $data = $update->callback_query->data;
    $data_id = $update->callback_query->id;
    $chat_id = $update->callback_query->message->chat->id;
    $from_id = $update->callback_query->from->id;
    $type = $update->callback_query->chat->type;
    $message_id = $update->callback_query->message->message_id;
}
include 'anti.php';
$members = file_get_contents("Settings/members.txt");
$memlist = explode("\n", $members);
@$user = json_decode(file_get_contents("users/$from_id/$from_id.json"),true);
@$channels = json_decode(file_get_contents("Settings/channels.json"),true);
Mkdir("Settings");
Mkdir("users");
$BotiD = bot(GetMe)->result->username;
//------- [ keyboard ] -------//
$start = json_encode(['keyboard'=>[
[['text'=>'🔏 طراحی رسید جعلی']],
[['text'=>'💰 امتیازگیری'],['text'=>'📌 حساب کاربریم']],
[['text'=>'امتیاز روزانه 🎁']],
[['text'=>'💳 حساب ویژه'],['text'=>'📮 پشتیبانی']],
],'resize_keyboard'=>true,
]);
$back2 = json_encode(['keyboard'=>[
[['text' => "بازگشت به منو🔛"]]],
'resize_keyboard' => true,
]);
$back = json_encode(['keyboard'=>[
[['text' => "🔙بازگشت"]]],
'resize_keyboard' => true,
]);
$Panel = json_encode(['keyboard'=>[
    [['text'=>"حساب ویژه📍"],['text'=>"🗳 پیام همگانی"],['text'=>"📊 آمار ربات"]],
[['text'=>"💰 امتیاز به کاربر"],['text'=>"📂 آنتی فولد"],['text' => "سکه همگانی 💰"]],
[['text'=>'🔐 قفل کانال'],['text' => "🔙بازگشت"]]],
'resize_keyboard' => true,
]); 
$chlock = json_encode(['inline_keyboard'=>[
[['text'=>'❗️تنظیم کانال اول','callback_data'=>'ch-1'],['text'=>'❗️تنظیم کانال دوم','callback_data'=>'ch-2'],['text'=>'❗️تنظیم کانال سوم','callback_data'=>'ch-3']],
[['text'=>'🎯 خاموش کردن جوین اجباری','callback_data'=>'del']]
],'resize_keyboard'=>true,
]);
$AnTi = json_encode(['inline_keyboard'=>[
[['text'=>'✅ روشن کردن آنتی فولد','callback_data'=>'on']],
[['text'=>'❌ خاموش کردن آنتی فولد','callback_data'=>'off']]
],'resize_keyboard'=>true,
]);
$rsed = json_encode(['inline_keyboard'=>[
  [  ['text'=>'رسید صاپ صادرات 🧾','callback_data'=>'gg1']],
    [['text'=>'بانک سپه انصار سابق 💈','callback_data'=>'vv1'],['text'=>'رسید بانک ملت 🔖','callback_data'=>'ll1']],
[['text'=>'🏦 رسید جعلی عابربانک','callback_data'=>'Abr'],['text'=>'رسید بانک شهر 💵','callback_data'=>'OO1']],
[['text'=>'🖋 رسید جعلی 780','callback_data'=>'780'],['text'=>'💳 رسید جعلی همراه کارت','callback_data'=>'hmra']],
[['text'=>'رسید ایوا 📃','callback_data'=>'eva'],['text'=>'رسید اوانو 💰','callback_data'=>'eva1']],
[['text'=>'رسید آپ بله 🧾','callback_data'=>'AAA1'],['text'=>'رسید بانک تجارت 💳','callback_data'=>'CS1']]
],'resize_keyboard'=>true,
]);
//------- [ start ] -------//
if(strpos($text , '/start ') !== false  ) {
$iddd = str_replace("/start ","",$text);
$idd = Gethashid($iddd);
$exp = explode("\n",$members);
if($from_id != $idd){
if(!in_array($from_id,$exp) && $from_id != $idd){
$myfile2 = fopen("Settings/members.txt", "a") or die("Unable to open file!");
fwrite($myfile2, "$from_id\n");
fclose($myfile2);
$user["step"] = "none";
$user["coin"] = 1;
$user['joined'] = null;
$user['inviter'] = $idd;
file_put_contents("users/$from_id/$from_id.json",json_encode($user,true));
json_decode(file_get_contents("users/$idd/$idd.json"),true);
SendMessage($idd,"[یک نفر](tg://user?id=$from_id) از طریق لینک شما وارد ربات شد 🌷
❗️ درصورتیکه زیر مجموعه شما وارد کانال های ما شده و شماره خود را تایید کند به شما امتیاز اضافه می شود!","markdown");
}else{
SendMessage($from_id,"شما از قبل در ربات عضو بودید ❗️","html",$message_id);
}}else{
SendMessage($from_id,"شما نمیتوانید زیر مجموعه خود شوید 😐❌","html",$message_id);
}} 
if(!in_array($chat_id, $memlist)) {
if(!file_exists("users")) {
mkdir("users");
}
mkdir("users/$from_id");
#========================================
$members .= $chat_id . "\n";
file_put_contents("Settings/members.txt", "$members");
 $user["coin"] = 1;
 $user["step"] = 'off';
 $user['joined'] = null;
file_put_contents("users/$chat_id/$chat_id.json",json_encode($user,true));
}
if(bot('getchatmember',['chat_id'=>'-'.$channels['ch-3'],'user_id'=>$from_id])->result->status == 'left'){
        $ini = json_encode(['inline_keyboard'=>[
        [['text'=>'کانال اول','url'=>$channels['link-1']],['text'=>'کانال دوم','url'=>$channels['link-2']]],
 [
                            ['text' => "کانال سوم", 'url' => "https://t.me/https://t.me/Etrafoli"]
                        ],  
        [['text'=>'عضو شدم','url'=>"https://t.me/$BotiD?start"]]
    ]
    ]);
    SendMessage($from_id,"📣کاربر گرامی
جهت استفاده از خدمات این ربات، ابتدا در کانال ما عضو شوید:

سپس دستور /start را مجددا ارسال نمایید!",'Markdown',$message_id,$ini);
exit;
}
elseif(bot('getchatmember',['chat_id'=>'-'.$channels['ch-2'],'user_id'=>$from_id])->result->status == 'left'){
        $ini = json_encode(['inline_keyboard'=>[
        [['text'=>'کانال اول','url'=>$channels['link-1']],['text'=>'کانال دوم','url'=>$channels['link-2']]],
 [
                            ['text' => "کانال سوم", 'url' => "https://t.me/Etrafoli"]
                        ],  
        [['text'=>'عضو شدم','url'=>"https://t.me/$BotiD?start"]]
    ]
    ]);
    SendMessage($from_id,"📣کاربر گرامی
جهت استفاده از خدمات این ربات، ابتدا در کانال ما عضو شوید:

سپس دستور /start را مجددا ارسال نمایید!",'Markdown',$message_id,$ini);
exit;
} 
elseif(bot('getchatmember',['chat_id'=>'-'.$channels['ch-1'],'user_id'=>$from_id])->result->status == 'left'){
     $ini = json_encode(['inline_keyboard'=>[
        [['text'=>'کانال اول','url'=>$channels['link-1']],['text'=>'کانال دوم','url'=>$channels['link-2']]],
 [
                            ['text' => "کانال سوم", 'url' => "https://t.me/https://t.me/Etrafoli"]
                        ],  
        [['text'=>'عضو شدم','url'=>"https://t.me/$BotiD?start"]]
    ]
    ]);
    SendMessage($from_id,"📣کاربر گرامی
جهت استفاده از خدمات این ربات، ابتدا در کانال ما عضو شوید:

سپس دستور /start را مجددا ارسال نمایید!",'Markdown',$message_id,$ini);
exit;
}
elseif(strpos($text, '/start') !== false or $text == '🔙بازگشت'){
if(empty($user['joined'])){ 
$user['joined'] = true; 
$inv = $user['inviter']; 
$ref = json_decode(file_get_contents("users/$inv/$inv.json"),true);
$ref['coin'] += 1; 
file_put_contents("users/$inv/$inv.json",json_encode($ref)); 
sendmessage($inv,'یکی از زیرمجموعه های شما وارد کانال شده و با ربات کار کرد و به شما امتیاز اضافه شد ✅','');
}
$user["step"] = 'none';
file_put_contents("users/$from_id/$from_id.json",json_encode($user));
SendMessage($from_id,"🏷 سلام دوست عزیز و گرامی \n - به ربات طراحی رسید جعلی خوش آمدید \n\n 👇🏻از طریق دکمه های زیر شروع به ساخت رسید کن! \n ‼️به درستی از ربات استفاده بکنید :)","HTML",$message_id,$start);
}
//------- [ Database] -------//
elseif($text == '🔏 طراحی رسید جعلی'){
    SendMessage($from_id,"❗️ چه رسیدی میخای طراحی کنی انتخاب کن!","HTML",$message_id,$rsed);
}
elseif($text == '📌 حساب کاربریم'){
    if($user["coin"] <= 20000){
    SendMessage($from_id,"💰 شما : {$user['coin']} امتیاز دارید که برابر با » {$user['coin']} رسید است\n🚁 ایدی عددی شما » [$from_id](tg://user?id=$from_id)","markdown",$message_id,$start);
}else{
    SendMessage($from_id,"حساب شما ویژه هست ⚜️",'html',$message_id,$start);
}}
elseif($text == '💰 امتیازگیری'){
        if($user["coin"] <= 20000){
    SendMessage($from_id,"میخای رسید جعلی بسازی😈

میخای مردمو و اسکل کنی با رسید جعلی😈😂
خرید رایگان بدون پول با رسید جعلی😂

تموم اینکارا رو من برات انجام میدم پس بزن رو لینک زیر و استارت کن منو تا برات رسید جعلی بسازم 😉
https://t.me/$BotiD?start=".Gethash($from_id),"HTML",$message_id,$start);
}else{
    SendMessage($from_id,"حساب شما ویژه هست ⚜️",'html',$message_id,$start);
}}
elseif($text == '💳 حساب ویژه'){
    if($user["coin"] <= 20000){
    SendMessage($from_id,"قیمت حساب ویژه 50 هزار هست💵
با خرید حساب ویژه میتونید بی نهایت رسید بسازید💯
برای ویژه کردن حساب خود به ایدی زیر پیام بدید 👇🏻
🆔 » *️@jahanbots*" 
,'Markdown',$message_id,$back); 
}else{
    SendMessage($from_id,"حساب شما ویژه هست ⚜️",'html',$message_id,$start);
}}

if(isset($message->reply_to_message->forward_from->id)){
    SendMessage($message->reply_to_message->forward_from->id,$text,'Markdown');
    SendMessage($from_id,"ارسال شد",'Markdown',$message_id);
}
elseif($text == '📮 پشتیبانی'){
    $user['step'] = 'sup';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,"پیشنهاد سوال یا انتقاد خود را در قالب یک پیام ارسال کنید",'Markdown',$message_id,$back); 
}
elseif($user['step'] == 'sup' and !in_array($text,array('/start','🔙بازگشت')) and isset($text)){
$user['step'] = 'off';
file_put_contents("users/$from_id/$from_id.json", json_encode($user));
foreach($admins as $Devs){
    bot('ForwardMessage',['chat_id'=>$Devs,'from_chat_id'=>$from_id,'message_id'=>$message_id]);
}
    SendMessage($from_id,"ارسال شد",'Markdown',$message_id,$start);
}
if(isset($message->reply_to_message->forward_from->id)){
    SendMessage($message->reply_to_message->forward_from->id,$text,'Markdown');
    SendMessage($from_id,"ارسال شد",'Markdown',$message_id);
} 
elseif($data == 'gg1'){
    if($user["coin"] >= 1){
        $user['step'] = 'gg1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'gg1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'gg2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'gg2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'gg3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'gg3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'gg4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'gg4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/Cadrat/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}









elseif($data == 'vv1'){
    if($user["coin"] >= 1){
        $user['step'] = 'vv1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'vv1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'vv2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'vv2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'vv3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'vv3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'vv4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'vv4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/spe/?Amount=".$user['M']."&Cardg=".$user['CM']."&Cardm=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($data == 'll1'){
    if($user["coin"] >= 1){
        $user['step'] = 'll1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'll1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'll2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'll2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'll3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'll3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'll4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'll4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/Melat/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
#===============================================================================
elseif($data == 'CS1'){
    if($user["coin"] >= 1){
        $user['step'] = 'CS1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'CS1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'CS2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'CS2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'CS3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'CS3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'CS4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'CS4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/ri/rsed/Tgart/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
#===============================================================================
elseif($data == 'AAA1'){
    if($user["coin"] >= 1){
        $user['step'] = 'AAA1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'AAA1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'AAA2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'AAA2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'AAA3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'AAA3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'AAA4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'AAA4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/Ble/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
#===============================================================================
elseif($data == 'eva1'){
    if($user["coin"] >= 1){
        $user['step'] = 'zz1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'zz1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'zz2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'zz2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'zz3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'zz3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'zz4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'zz4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/Ewano/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
#===============================================================================
elseif($data == 'eva'){
    if($user["coin"] >= 1){
        $user['step'] = 'qq1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'qq1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'qq2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'qq2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'qq3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'qq3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'qq4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'qq4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/iva/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
#===============================================================================
elseif($data == 'Abr'){
    if($user["coin"] >= 1){
        $user['step'] = 'R1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'R1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'R2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب چهار رقم اخر کارت مبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'R2'){
    if(is_numeric($text) && strlen($text) == "4"){
        $user['CM'] = $text;
        $user['step'] = 'R3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'R3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'R4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'R4'){
    if(mb_strlen($text) != strlen($text)){
        $result = json_decode(file_get_contents("http://api.NovaTeamCo.ir/time"),true);
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/?imgurl=ch.jpg&tarikh=".$result['date']."&saat=".$result['time']."&mablagh=".$user['M']."&cardm=".$user['CM']."&cardg=".$user['Cg']."&text=$text&hesab=".Rand(1111111111,9999999999)."&pey=".Rand(111111111111,999999999999), 'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($data == '780'){
    if($user["coin"] >= 1){
        $user['step'] = 'H1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'H1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'H2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'H2'){
    if(bankCardCheck($text)){
        $user['CM'] = $text;
        $user['step'] = 'H3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'H3'){
    
     if(bankCardCheck($text)){
        $user['step'] = 'H4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'H4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/780/?imgurl=ch.jpg&pey=".number_format($user['M'])."&cardm=".$user['CM']."&cardg=".$user['Cg']."&hesab=".$text, 'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($data == 'hmra'){
    if($user["coin"] >= 1){
        $user['step'] = 'A1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'A1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'A2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($data == 'OO1'){
    if($user["coin"] >= 1){
        $user['step'] = 'OO1';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💰 مبلغ واریزی را به ریال وارد کنید!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"💰 امتیاز شما جهت طراحی رسید کم است امتیاز مورد نیاز 1","HTML",$message_id,$start);
    }
}
elseif($user['step'] == 'OO1'){
    if(is_numeric($text)){
        $user['M'] = $text;
        $user['step'] = 'OO2';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"16 رقم کارت ممبدا رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'OO2'){
    if(is_numeric($text) && strlen($text) == "16"){
        $user['CM'] = $text;
        $user['step'] = 'OO3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'OO3'){
  
    if(bankCardCheck($text)){
        $user['step'] = 'OO4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'OO4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/Bankshhr/?Amount=".$user['M']."&Cardm=".$user['CM']."&Cardg=".$user['Cg']."&Name=$text",'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'A2'){
    if(bankCardCheck($text)){
        $user['CM'] = $text;
        $user['step'] = 'A3';
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"💳 خب 16 رقم  کارت مقصد رو وارد کن!","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif($user['step'] == 'A3'){
    
     if(bankCardCheck($text)){
        $user['step'] = 'A4';
        $user['Cg'] = $text;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        SendMessage($from_id,"نام و نام خانوادگی صاحب کارت مقصد رو بفرست","HTML",$message_id,$back);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}

elseif($user['step'] == 'A4'){
    if(mb_strlen($text) != strlen($text)){
        $user['step'] = 'none';
        $user['coin'] =  $user["coin"] - 1;
        file_put_contents("users/$from_id/$from_id.json", json_encode($user));
        bot('SendPhoto', [ 'chat_id'=>$from_id, 'photo'=>"https://rsisin.ir/vi/rsed/2/?imgurl=ch.jpg&pey=".number_format($user['M'])."&cardm=".$user['CM']."&cardg=".$user['Cg']."&hesab=".$text, 'caption'=>"• رسید شما با موفقیت ساخته شد!" ]);
    }
    else
    {
        SendMessage($from_id,"شماره حساب اشتباه هست ❌
لطفا شماره حساب واقعی وارد کنید و فیک نباشه 🧾
نکته اعداد فارسی نباشه انگلیسی باشه 💯
مثال 👇🏻
6037691658626049","HTML",$message_id,$back);
    }
}
elseif ($text=='امتیاز روزانه 🎁'){
 if($user['tim']< time()){
  $n=rand(1,2);
   $user['tim']= time()+86400;
  $user["coin"] =$user["coin"] +$n;
  file_put_contents("users/$from_id/$from_id.json", json_encode($user));
  SendMessage($from_id,"$n امتیاز دریافت شد🥳",'HTML',$massege_id,$back);
  }else{
   SendMessage($from_id,"امتیاز امروز را دریافت کرده اید❌",'HTML',$massege_id,$back);
   }
 }
//=======P-A-N-E-L===========//
if(in_array($from_id,$admins)){

if(preg_match('/^[\/\#\*!]?(menu|panel|manage|Panel)$/i',$text) or $text == "بازگشت به منو🔛" ){
    $user['step'] = 'none';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,'💥سلام بابایی به پنل مدیریت خوش آمدید.','HTML',$message_id,$Panel); 
}
elseif($text == '📊 آمار ربات'){
       $amar = count(array_diff(scandir('users'),['.','..']));
       $amar1 = count(array_diff(scandir('Settings/Twenty-four'),['.','..']));
       $amar2 = count(array_diff(scandir('Settings/Week'),['.','..']));
       $amar3 = count(array_diff(scandir('Settings/Month'),['.','..']));
       $sh = json_decode(file_get_contents("Settings/data.json"),true);
       $AnTI =  !empty($sh['is_active']) ? 'روشن هست.' : 'خاموش هست.';
       SendMessage($from_id,"💥 آمار کلی ربات رسید ساز\n\n🔐تعداد کل کاربران: $amar\n✨ تعداد کاربران این 24 ساعت: $amar1\n🔥 تعداد کاربران این هفته: $amar2\n💫 تعداد کاربران این ماه: $amar3\n✅ تعداد سرچ موفق اطلاعات: {$sh['Success search']}\n❌ تعداد سرچ ناموفق: {$sh['Unsuccessful search']}\n وضعیت آنتی فولد: $AnTI",'HTML',$message_id,$Panel);
    }
elseif($text == '🗳 پیام همگانی'){
    $user['step'] = 'for';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,"📝 پیام خود را جهت ارسال به تمامی کاربران ارسال کنید!",'HTML',$message_id,$back2); 
}
elseif($user['step'] == 'for'){
    SendMessage($from_id,"🗞 پیام شما برای ارسال تنظیم شد!",'HTML',$message_id,$Panel); 
    $all = json_decode(file_get_contents("sendall.json"),true);
    $all["step"] = 'sendall';
    $all["text"] = $text;
    $all["user"] = 0;
    file_put_contents("sendall.json",json_encode($all,true));
    $user['step'] = 'none';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
}
elseif($text == '📂 آنتی فولد'){
    SendMessage($from_id,"📂 از طریق دکمه شیشه ای های زیر آنتی فولد را خاموش و روشن کنید!",'HTML',$message_id,$AnTi); 
}
elseif(in_array($data, array('on','off'))){
    $sh = json_decode(file_get_contents("Settings/data.json"),true);
    $sh['is_active'] = str_replace(['on','off'],[true,false],$data);
    file_put_contents("Settings/data.json",json_encode($sh));
    bot('AnswerCallbackQuery',[ 'callback_query_id'=>$update->callback_query->id, 'text'=>"🗼آنتی فولد با موفقیت ".str_replace(['on','off'],['روشن شد','خاموش شد'],$data), 'show_alert'=>false ]);
}
elseif($text == '💰 امتیاز به کاربر'){
    $user['step'] = 'idcoin';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,'آیدی عددی کاربر را ارسال کنید.','HTML',$massege_id,$back2);
}
elseif($user['step'] == 'idcoin'){
    if(is_numeric($text)){
    $user['idcoin'] = $text;
    $user['step'] = 'coinplus';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,'چقدر امتیاز بهش بدم؟','HTML',$massege_id,$back2);
}
}
elseif($user['step'] == 'coinplus'){
     if(is_numeric($text)){
     $user['step'] = 'off';
     SendMessage($chat_id,'امتیاز اضافه شد.','','',$back2);
     file_put_contents("users/$from_id/$from_id.json", json_encode($user));
     $idcoin = $user['idcoin'];
     $filegc = json_decode(file_get_contents("users/$idcoin/$idcoin.json"),true);
     $filegc['coin'] = $filegc['coin'] + $text;
     file_put_contents("users/$idcoin/$idcoin.json", json_encode($filegc));
     SendMessage($idcoin,'از طرف مدیریت به شما امتیاز اضافه شد.','' , '' ,$start);
}
}
elseif($text == 'حساب ویژه📍'){
    $user['step'] = 'idcoin1';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,'آیدی عددی کاربر را ارسال کنید.','HTML',$massege_id,$back2);
}
elseif($user['step'] == 'idcoin1'){
     if(is_numeric($text)){
     $user['step'] = 'off';
     SendMessage($chat_id,'کاربر با موفقیت ویژه ‌شد ✅⚜️','','',$back2);
     file_put_contents("users/$from_id/$from_id.json", json_encode($user));
     $filegc = json_decode(file_get_contents("users/$text/$text.json"),true);
     $filegc['coin'] = $filegc['coin'] + 90000;
     file_put_contents("users/$text/$text.json", json_encode($filegc));
     SendMessage($text,'تبریک میگم از طرف مدیریت حسابتون ویژه شد و میتونید بی نهایت رسید بسازید 🧾✅','' , '' ,$start);
}
}
elseif($text == 'سکه همگانی 💰'){
    $user['step'] = 'for1';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    SendMessage($from_id,"تعداد سکه همگانی رو وارد کن مثال 5",'HTML',$message_id,$back2); 
}
elseif($user['step'] == 'for1'){
    SendMessage($from_id,"جهت همگانی تنظیم شد!",'HTML',$message_id,$Panel); 
    $all = json_decode(file_get_contents("coin.json"),true);
    $all["step"] = 'sendall';
    $all["coin"] = $text;
    $all["user"] = 0;
    file_put_contents("coin.json",json_encode($all,true));
    $user['step'] = 'none';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
}
elseif($text == '🔐 قفل کانال'){
    SendMessage($from_id,'📌 میخاید چه کاری انجام بدید؟','HTML',$massege_id,$chlock);
} 
elseif(preg_match('/^(ch-(.*))/',$data,$match)){
    if($match[2] == 3){
        if($channels['ch-1'] == null){
            SendMessage($from_id,'کانال اول رو تنظیم کن','HTML',$massege_id,null);
            exit;
        }
    }
    $user['step'] = 'setch-'.$match[2];
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    if($match[2] == 1)  $num = 'اول'; if($match[2] == 2)  $num = 'دوم'; if($match[2] == 3)  $num = 'سوم';
    SendMessage($from_id,"🏷 یک پیام از کانال $num فوروارد کنید!",'HTML',$massege_id,null);
} 
elseif(preg_match('/^(setch-(.*))/',$user['step'],$match)){
    $user['step'] = 'none';
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    if(isset($update->message->forward_from_chat)){
        $id = $update->message->forward_from_chat->id;
        if($match[2] == 1)  $num = 'اول'; if($match[2] == 2)  $num = 'دوم'; if($match[2] == 3)  $num = 'سوم';
        if(bot('getchatmember',['chat_id'=>$id,'user_id'=>bot('getme')->result->id])->result->status == 'administrator'){
            $user['step'] = 'link-'.$match[2].'-'.$id;
            file_put_contents("users/$from_id/$from_id.json", json_encode($user));
            SendMessage($from_id,'لینک کانال رو ارسال کن!','HTML',$massege_id,null);
        }else{
            SendMessage($from_id,'اول ربات رو ادمین کانال کن','HTML',$massege_id,$back);
        }
    }else{
        SendMessage($from_id,'چنانچه کانال خصوصی می باشد ابتدا ربات را ادمین کنید','HTML',$massege_id,$back);
    }
} 
elseif(preg_match('/^(link-(.*)-(.*))/',$user['step'],$match)){
    $user['step'] = 'none';
    $match[2] = str_replace('-',null,$match[2]);
    $match[3] = str_replace('-',null,$match[3]);
    file_put_contents("users/$from_id/$from_id.json", json_encode($user));
    $channels['ch-'.$match[2]] = $match[3];
    $channels['link-'.$match[2]] =$text;
    file_put_contents('Settings/channels.json',json_encode($channels,448));
    SendMessage($from_id,'تنظیم شد','HTML',$massege_id,$back);
}
elseif($data == 'del'){
    unlink('Settings/channels.json');
    bot('AnswerCallbackQuery',[ 'callback_query_id'=>$update->callback_query->id, 'text'=>'غیرفعال شد', 'show_alert'=>false ]);
}








}
/*if(file_exists('error_log')){
    unlink('error_log');
}*/

/* به نام خدا 
اوپن شده در :
@jahanbots
@jahanbots

با اسکی رفتن بدون منبع ناموس خود را به ما بسپارید !
*/
?>